Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageselector
Class ArithmeticExpression.SubtractionExpression

    java.lang.Object
      net.sf.dropboxmq.messageselector.Expression
          net.sf.dropboxmq.messageselector.BinaryExpression
              net.sf.dropboxmq.messageselector.ArithmeticExpression
                  net.sf.dropboxmq.messageselector.ArithmeticExpression.SubtractionExpression

Enclosing class:
  ArithmeticExpression

    public static class ArithmeticExpression.SubtractionExpression

extends ArithmeticExpression

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.dropboxmq.messageselector.ArithmeticExpression
`ArithmeticExpression.AdditionExpression, ArithmeticExpression.DivisionExpression, ArithmeticExpression.MultiplicationExpression, ArithmeticExpression.SubtractionExpression`

Constructor Summary
`ArithmeticExpression.SubtractionExpression(Expression left, Token leftToken, Expression right, Token rightToken)`

Method Summary
`protected double` | `getDoubleValue(double leftValue, double rightValue)`
`protected long` | `getLongValue(long leftValue, long rightValue)`

Methods inherited from class net.sf.dropboxmq.messageselector.ArithmeticExpression
`getValue, getValueClass, isNumberClass`

Methods inherited from class net.sf.dropboxmq.messageselector.BinaryExpression
`getLeft, getRight, promote, toString`

Methods inherited from class net.sf.dropboxmq.messageselector.Expression
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArithmeticExpression.SubtractionExpression

    public ArithmeticExpression.SubtractionExpression(Expression left,
                                                      Token leftToken,
                                                      Expression right,
                                                      Token rightToken)
                                               throws ParseException

Throws:
  `ParseException`

Method Detail

### getLongValue

    protected long getLongValue(long leftValue,
                                long rightValue)

  Specified by:
    `getLongValue` in class `ArithmeticExpression`

### getDoubleValue

    protected double getDoubleValue(double leftValue,
                                    double rightValue)

  Specified by:
    `getDoubleValue` in class `ArithmeticExpression`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD